RTEMS: Serial Mouse Driver

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Macros | Functions
Serial Mouse Driver
Device Drivers » Serial Mouse

## Macros
#define | SERIAL_MOUSE_DEVICE_PS2 "/dev/psaux"
| Standard device file path for a PS2 mouse device.
#define | SERIAL_MOUSE_DRIVER_TABLE_ENTRY

## Functions
rtems_device_driver | serial_mouse_initialize (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| The initialization of the serial mouse driver.
rtems_device_driver | serial_mouse_open (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Open device driver entry point for the serial mouse driver.
rtems_device_driver | serial_mouse_close (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Close device driver entry point for the serial mouse driver.
rtems_device_driver | serial_mouse_read (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Read device driver entry point for the serial mouse driver.
rtems_device_driver | serial_mouse_write (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Write device driver entry point for the serial mouse driver.
rtems_device_driver | serial_mouse_control (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| IO Control device driver entry point for the serial mouse driver.
bool | bsp_get_serial_mouse_device (const char **name, const char **type)
| Obtain serial mouse configuration information.

## Detailed Description

## Macro Definition Documentation

## ◆ SERIAL_MOUSE_DRIVER_TABLE_ENTRY

#define SERIAL_MOUSE_DRIVER_TABLE_ENTRY

Value:
{ serial_mouse_initialize, serial_mouse_open, serial_mouse_close, \
serial_mouse_read, serial_mouse_write, serial_mouse_control }
serial_mouse_close
rtems_device_driver serial_mouse_close(rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
Close device driver entry point for the serial mouse driver.
Definition: serial_mouse.c:132
serial_mouse_write
rtems_device_driver serial_mouse_write(rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
Write device driver entry point for the serial mouse driver.
Definition: serial_mouse.c:153
serial_mouse_control
rtems_device_driver serial_mouse_control(rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
IO Control device driver entry point for the serial mouse driver.
Definition: serial_mouse.c:163
serial_mouse_read
rtems_device_driver serial_mouse_read(rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
Read device driver entry point for the serial mouse driver.
Definition: serial_mouse.c:143
serial_mouse_initialize
rtems_device_driver serial_mouse_initialize(rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
The initialization of the serial mouse driver.
Definition: serial_mouse.c:59
serial_mouse_open
rtems_device_driver serial_mouse_open(rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
Open device driver entry point for the serial mouse driver.
Definition: serial_mouse.c:80

This macro defines the serial mouse device driver entry points.

## Function Documentation

## ◆ bsp_get_serial_mouse_device()

bool bsp_get_serial_mouse_device | ( | const char ** | name,
|  | const char ** | type
| ) |  |

Obtain serial mouse configuration information.

This method is implemented by the BSP or application and tells the driver what device to open() and what type of mouse is connected.

Parameters

  [in] | name | will point to a string with the device name of the serial port with the mouse connected.
  [in] | type | will point to a string with the type of mouse connected.

Return values

  This | method returns true on success and false on error.

## ◆ serial_mouse_close()

rtems_device_driver serial_mouse_close | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Close device driver entry point for the serial mouse driver.

This method implements the Close device driver entry point for the serial mouse driver.

Parameters

  [in] | major | is the mouse device major number
  [in] | minor | is the mouse device minor number
  [in] | arg | points to device driver arguments

## ◆ serial_mouse_control()

rtems_device_driver serial_mouse_control | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

IO Control device driver entry point for the serial mouse driver.

This method implements the IO Control device driver entry point for the serial mouse driver.

Parameters

  [in] | major | is the mouse device major number
  [in] | minor | is the mouse device minor number
  [in] | arg | points to device driver arguments

## ◆ serial_mouse_initialize()

rtems_device_driver serial_mouse_initialize | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

The initialization of the serial mouse driver.

This method initializes the serial mouse driver.

Parameters

  [in] | major | is the mouse device major number
  [in] | minor | is the mouse device minor number
  [in] | arg | points to device driver arguments

## ◆ serial_mouse_open()

rtems_device_driver serial_mouse_open | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Open device driver entry point for the serial mouse driver.

This method implements the Open device driver entry point for the serial mouse driver.

Parameters

  [in] | major | is the mouse device major number
  [in] | minor | is the mouse device minor number
  [in] | arg | points to device driver arguments

## ◆ serial_mouse_read()

rtems_device_driver serial_mouse_read | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Read device driver entry point for the serial mouse driver.

This method implements the Read device driver entry point for the serial mouse driver.

Parameters

  [in] | major | is the mouse device major number
  [in] | minor | is the mouse device minor number
  [in] | arg | points to device driver arguments

## ◆ serial_mouse_write()

rtems_device_driver serial_mouse_write | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Write device driver entry point for the serial mouse driver.

This method implements the Write device driver entry point for the serial mouse driver.

Parameters

  [in] | major | is the mouse device major number
  [in] | minor | is the mouse device minor number
  [in] | arg | points to device driver arguments